var windowId,sysUrl = top.sysUrl,toEdit;
var childrenXzbhstr = $.getUrlParam("childrenXzbh");
$(function(){
	initDefault();	
});
//默认
function initDefault(){
	initGrid();
}
//查询条件
function getQueryParams(){
	var sParam = {};
//	sParam.admincatalogue = xzbh;
	sParam.LIKEvideonum = $('#LIKEvideonum').textbox("getValue");
	sParam.LIKEchannelnum = $('#LIKEchannelnum').textbox("getValue");
	sParam.LIKEchannelname = $('#LIKEchannelname').textbox("getValue");
	sParam.xzqh=childrenXzbhstr;
	// if (childrenXzbhstr != null && childrenXzbhstr != "") {
	// 	var childrenXzbh = childrenXzbhstr.split(",");
	// 	var tableparam = " and admincatalogue in (";
	// 	for (i = 0; i < childrenXzbh.length; i++) {
	// 		if (i == childrenXzbh.length - 1) {
	// 			tableparam += "'" + childrenXzbh[i] + "')";
	// 		} else {
	// 			tableparam += "'" + childrenXzbh[i] + "',";
	// 		}
	// 	}
	// 	sParam.tableparam = tableparam;
	// }
	/*
	sParam.LIKEsyncid = $('#LIKEsyncid').textbox("getValue");
	sParam.LIKEcreateaccount = $('#LIKEcreateaccount').textbox("getValue");
	sParam.LIKEcreatetime = $('#LIKEcreatetime').textbox("getValue");
	sParam.LIKEmodifyaccount = $('#LIKEmodifyaccount').textbox("getValue");
	sParam.LIKEmodifytime = $('#LIKEmodifytime').textbox("getValue");
	sParam.LIKEremarks = $('#LIKEremarks').textbox("getValue");
	sParam.LIKEextend1 = $('#LIKEextend1').textbox("getValue");
	sParam.LIKEextend2 = $('#LIKEextend2').textbox("getValue");
	sParam.LIKEextend3 = $('#LIKEextend3').textbox("getValue");
	sParam.LIKEextend4 = $('#LIKEextend4').textbox("getValue");
	var xx1 = $("#xx1").textbox("getValue");//文本
	var xx2 = $("#xx2").combobox("getValue");//下拉
	var xx3 = $("#xx3").datetimebox("getValue");//日期
	var xx4 = $("#xx4").numberbox("getValue");//数字
	var LIKEtime1 = $('#LIKEtime1').datetimebox("getValue");	
	var LIKEtime2 = $('#LIKEtime1').datetimebox("getValue");	
	var tableparam = "";
	if(!(LIKEtime1==null||LIKEtime1==""||LIKEtime1==undefined)){
		tableparam += " AND time > '" +LIKEtime1 + "'";
	}
	if(!(LIKEtime2==null||LIKEtime2==""||LIKEtime2==undefined)){
		tableparam += " AND time < '" +LIKEtime2 + "'";
	}
	*/
	sParam.order = "order by createtime desc ";
	return sParam;
}
//加载列表
function initGrid(){	
	var toolbar = [{
    	text	:	'查询',
        iconCls	:	'icon-search',
        handler	:	doSearch
    },{
        text	:	'手动同步',
        iconCls	:	'icon-add',
        handler	:	doSynchronize
    },{
        text	:	'设置同步用户',
        iconCls	:	'icon-cut',
        handler	:	settingAcc
    }];
	$('#tableGrid').datagrid({
		toolbar : toolbar,
		singleSelect:true,
		rownumbers:true,
		queryParams:getQueryParams(),
		url : 'ywvideosyncchannelAction!listYwvideosyncchannelByPage.do',
		columns : [[
		    {
				field: 'A',
				checkbox:'true',
				width:30
			},
		    {field:'syncid',title:'syncid',hidden:true,width:120, 
				formatter:function showClick(value,record,num){ 
					return "<a  href='javascript:void(0);' class='ahref' onclick='doUpdate("+num+")'>"+value+"</a>";
				}
 			},
			{field:'videonum',title:'设备编号',hidden:false,width:120},
			{field:'channelnum',title:'通道编号',hidden:false,width:120},
			{field:'channelname',title:'通道名称',hidden:false,width:120},
			{field:'admincatalogue',title:'行政编号',hidden:true,width:120},// 行政编号
			{field:'xzmc',title:'行政目录',hidden:false,width:120},
			{field:'createaccount',title:'创建人员',hidden:true,width:120},
			{field:'createtime',title:'同步时间',hidden:false,width:120},
			{field:'modifyaccount',title:'修改人员',hidden:true,width:120},
			{field:'modifytime',title:'修改日期',hidden:true,width:120},
			{field:'remarks',title:'备注',hidden:true,width:120},
			{field:'extend1',title:'扩展1',hidden:true,width:120},
			{field:'extend2',title:'扩展2',hidden:true,width:120},
			{field:'extend3',title:'扩展3',hidden:true,width:120},
			{field:'extend4',title:'扩展4',hidden:true,width:120}
		]]
	});
}

// 同步
function doSynchronize() {
	top.$.dlg.alertInfo('正在同步数据，请稍后...');
	$.ajax({
		type:'post',
		dataType : 'json',
		url:'ywvideosyncchannelAction!synchronize_Ywvideosyncchannel.do',
		success:function(flag){
			console.log(flag);
			if(flag == "success"){
				$.showMsg("通道数据同步完成！");
				doSearch();
			}else{
				$.showMsg("通道数据同步失败！");
			}
		}
	});
}

// 设置同步账户
function settingAcc() {
	toEdit=false;
	windowId = top.$.createWin({
		title	: 	'设置同步用户',
		width	:  	400,
		height	: 	150,
		onClose:function(){
			var win		=	$.getTopWindowById(windowId);
			win.unloadWindow();
		},
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/yw/videosyncchannel/videosyncchannel/ywvideosyncaccount_show.jsp"
	 });
}

//删除
function doDelete(){
	var selRows = $('#tableGrid').datagrid('getSelected'); 
	if(!selRows){
		$.showMsg('请先选择记录! ');
		return;
	}
	top.$.dlg.confirm('确认删除?',function(){
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywvideosyncchannelAction!delete_Ywvideosyncchannel.do',
			data:{
				syncid	:	selRows.syncid

			},
			success:function(flag){
				if(flag == "success"){
					$.showMsg("操作成功！");
					doSearch();
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	});
}
//批量删除
function doDelete_batch(){
	var selRows = $('#tableGrid').datagrid('getChecked'); 
	var keyword = [];
	 if(selRows===null){
		$.showMsg('请先选择一行! ');
		 return;
	 }else{
		for(var i=0; i<selRows.length; i++){
			keyword.push(selRows[i].syncid);
		}
		top.$.dlg.confirm('你确认要删除吗?',function(){ 
		    $.ajax({
				 type:'post',
				 dataType : 'json',
				 url:'ywvideosyncchannelAction!batch_delete_Ywvideosyncchannel.do',
				 data:{keyword	:	keyword.join(",")},
				 success:function(flag){
				 	if(!$.isNull(flag)){
						$.showMsg("操作成功！");
					 	doSearch();
					}else{
						$.showMsg("操作失败！");
					}
				}
			 });
		}); 
	}
}
//查询
function doSearch(){	
	$('#tableGrid').datagrid('load',getQueryParams());
}
//增加
function doAdd(){
	toEdit=false;
	windowId = top.$.createWin({
		title	: 	'增加信息',
		width	:  	650,
		height	: 	300,
		onClose:function(){
			var win		=	$.getTopWindowById(windowId);
			win.unloadWindow();
		},
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/im/videosyncchannel/ywvideosyncchannel_show.jsp"
	 });
}
//修改
function doUpdate(index){
	toEdit=true;
	var selRows = $('#tableGrid').datagrid('getRows')[index];
	windowId = top.$.createWin({
		title	: 	'修改信息',
		width	:  	650,
		height	: 	300,
		data   	:   selRows,
		onClose:function(){
			var win		=	$.getTopWindowById(windowId);
			win.unloadWindow();
		},
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/im/videosyncchannel/ywvideosyncchannel_show.jsp"
	});
}
//保存
function saveNodeInfo(){
	var win		=	$.getTopWindowById(windowId);
	var jq		=	win.$;
	var model   =   $.getFormValues("childform",windowId);
	console.log(model);
	if(!win.$('#childform').form('enableValidation').form('validate')){
      return;
	}
	if(toEdit){//修改
		model.XGTJsyncid = jq('#syncid').val();

		//model.checkparam = " and xh='"+model.xh+"' ";
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywvideosyncchannelAction!update_Ywvideosyncchannel.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}else{
		//model.checkparam = " and xh='"+model.xh+"' ";
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywvideosyncaccountAction!settingAcc.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}
			}
		});
	}
}
//打开修改
function doEdit(){
	var selIndex = $('#tableGrid').datagrid('getRowIndex', $("#tableGrid").datagrid('getSelected'))
	if(selIndex==-1){
		$.showMsg('请先选择一行! ');
		 return;
	}else{
		doUpdate(selIndex);
	}		
}
//模板下载
function doTemplate(){
	var baseUrl = $.proPath();
	var downFile = baseUrl+"/down/down.xls";
	window.location.href= downFile;
}
//导入
function doImport(){
	toEdit=false;
	windowId = top.$.createWin({
		 id		:	$.uniqueId(),
		 title	: 	'导入',
		 width	:  	400,
		 height	: 	130,
		onClose:function(){
			var win		=	$.getTopWindowById(windowId);
			win.unloadWindow();
		},
		 url	:	sysUrl+"/im/xx/ywvideosyncchannel_imp.jsp"
	 });
}
//导出
function doExport(){
	var model = getQueryParams();
	$.ajax({
		type : 'post',
		dataType : 'json',
		data : model,
		url : 'ywvideosyncchannelAction!count_Ywvideosyncchannel.do',
		success : function(value) {
			if(!$.isNull(value)){
				countExport(value);
			}else{
				$.showMsg("操作失败！");
			}
		}
	});
}
// 导出传参条件
function countExport(totalSize) {
	var limit = 5000;
	if (totalSize > 5000) {
		top.$.dlg.confirm('记录过多支持前5000条,确定要将记录导出Excel为表格吗?',function(){ 
			execExport();
		});		
	} else {
		top.$.dlg.confirm('确认导出?',function(){ 
			execExport();
		})
	}
}
// 调用后台
function execExport() {
	var model = getQueryParams();
	var downParam = "";
	document.excelForm.action = 'ywvideosyncchannelAction!exp_Ywvideosyncchannel.do?'+downParam;
	document.excelForm.submit(); 
}
